{ pkgs, ... }:
{
  # TODO: move to hackens.org
  services.dokuwiki.sites."hackens.ens.fr" = {
    enable = true;

    extraConfig = ''
      $conf['title'] = 'hackEns';
      $conf['start'] = 'accueil';
      $conf['lang'] = 'fr';
      $conf['template'] = 'starter-bootstrap';
      $conf['license'] = '0';
      $conf['breadcrumbs'] = 0;
      $conf['htmlok'] = 1;
      $conf['sitemap'] = 7;
      $conf['rss_type'] = 'rss2';
      $conf['userewrite'] = '1';
      $conf['useslash'] = 1;
      $conf['plugin']['tokenbucketauth']['tba_send_mail'] = 'hackens@clipper.ens.fr';
    '';

    pluginsConfig = ''
      $plugins['authmysql'] = 0;
      $plugins['syntaxhighlighter3'] = 0;
      $plugins['popularity'] = 0;
      $plugins['authpgsql'] = 0;
      $plugins['authpdo'] = 0;
      $plugins['authldap'] = 0;
    '';

    disableActions = "register";
    superUser = "@admin";
  };
}
